<div class="sheet-container">
    <img class="background" src="{{backgroundImages.url}}" title="{{localize backgroundImages.title}}"
         alt="{{localize 'tor2e.weapons.details.tech.alt'}}"/>
    <form class="{{cssClass}} flexrow" autocomplete="off">

        {{> "systems/tor2e/templates/sheets/items/components/item-header-card.hbs"
                item=this.item
                label="tor2e.items.weapons.title"
                alt="tor2e.items.weapons.tech.alt"}}

        <div class="sheet-content">
            <!-- Effect Configuration Tabs -->
            <nav class="sheet-tabs tabs">
                <a class="item" data-tab="details"><i class="fas fa-book"></i> {{localize "EFFECT.TabDetails"}}</a>
                <a class="item" data-tab="effects"><i class="fas fa-cogs"></i> {{localize "EFFECT.TabEffects"}}</a>
            </nav>

            <div class="sheet-body">
                <div class="tab" data-tab="details">
                    <div class="item-row flexrow separated">
                        <div class="item-element">
                            <label for="system.damage.value-{{item.id}}">{{localize
                                    "tor2e.weapons.details.damage"}}</label>
                            <input id="system.damage.value-{{item.id}}" class="number-value attribute-number-value"
                                   name="system.damage.value"
                                   type="number"
                                   value="{{system.damage.value}}" data-dtype="{{system.damage.type}}" step="1"
                                   min="1" max="20" required>
                            <span class="validity"></span>
                        </div>
                        <div class="item-element">
                            <label for="system.injury.value-{{item.id}}">{{localize
                                    "tor2e.weapons.details.injury"}}</label>
                            <input id="system.injury.value-{{item.id}}" class="number-value attribute-number-value"
                                   name="system.injury.value"
                                   type="number"
                                   value="{{system.injury.value}}" data-dtype="{{system.injury.type}}" step="1"
                                   min="1" max="50" required>
                            <span class="validity"></span>
                        </div>
                        <div class="item-element">
                            <label for="system.load.value-{{item.id}}">{{localize "tor2e.items.common.load"}}</label>
                            <input id="system.load.value-{{item.id}}" class="number-value attribute-number-value"
                                   name="system.load.value"
                                   type="number"
                                   value="{{system.load.value}}" data-dtype="{{system.load.type}}"
                                   step="1" min="0" max="50" required>
                            <span class="validity"></span>
                        </div>
                    </div>
                    <div class="item-row flexrow separated">
                        <div class="item-element">
                            <label for="system.group.value-{{item.id}}" class="flexcol">{{localize
                                    "tor2e.weapons.details.group"}}
                            </label>
                            <select id="system.group.value-{{item.id}}" class="auto-sizeable" name="system.group.value">
                                {{selectOptions config.weaponGroups
                                                selected=system.group.value
                                                localize=true
                                }}
                            </select>
                        </div>
                        <div class="item-element">
                            <label for="system.twoHandWeapon.value-{{item.id}}">{{localize
                                    "tor2e.weapons.details.twoHandWeapon"}}</label>
                            <input id="system.twoHandWeapon.value-{{item.id}}" name="system.twoHandWeapon.value"
                                   type="checkbox"
                                   value="{{system.twoHandWeapon.value}}"
                                   data-dtype="{{system.twoHandWeapon.type}}" {{checked
                                    system.twoHandWeapon.value}} />
                        </div>
                        <div class="item-element">
                            <label for="system.ranged.value-{{item.id}}">{{localize
                                    "tor2e.weapons.details.ranged"}}</label>
                            <input id="system.ranged.value-{{item.id}}" name="system.ranged.value" type="checkbox"
                                   value="{{system.ranged.value}}" data-dtype="{{system.ranged.type}}" {{checked
                                    system.ranged.value}} />
                        </div>
                    </div>
                    {{#if custom.showHideRangeBlock}}
                        <div class="item-row flexrow separated {{#unless system.ranged.value}}hide{{/unless}}">
                            <div class="item-element">
                                <label for="system.ranged.short.value-{{item.id}}">{{localize
                                        system.ranged.short.label}}
                                </label>
                                <input id="system.ranged.short.value-{{item.id}}"
                                       class="number-value attribute-number-value"
                                       name="system.ranged.short.value"
                                       type="number"
                                       value="{{system.ranged.short.value}}" data-dtype="{{system.ranged.short.type}}"
                                       step="1" min="1" max="50" required><span class="validity"></span>
                            </div>
                            <div class="item-element">
                                <label for="system.ranged.medium.value-{{item.id}}">{{localize
                                        system.ranged.medium.label}}</label>
                                <input id="system.ranged.medium.value-{{item.id}}"
                                       class="number-value attribute-number-value"
                                       name="system.ranged.medium.value"
                                       type="number"
                                       value="{{system.ranged.medium.value}}" data-dtype="{{system.ranged.medium.type}}"
                                       step="1" min="1" max="100" required><span class="validity"></span>
                            </div>
                            <div class="item-element">
                                <label for="system.ranged.long.value-{{item.id}}">{{localize
                                        system.ranged.long.label}}</label>
                                <input id="system.ranged.long.value-{{item.id}}"
                                       class="number-value attribute-number-value"
                                       name="system.ranged.long.value"
                                       type="number"
                                       value="{{system.ranged.long.value}}" data-dtype="{{system.ranged.long.type}}"
                                       step="1" min="1" max="200" required><span class="validity"></span>
                            </div>
                        </div>
                    {{/if}}
                    <div class="item-row separated flexrow">
                        {{#if custom.extendedWeaponSelection}}
                            <div class="item-element flexcol">
                                <div class="flexrow">
                                    <label for="system.skill.name-{{item.id}}">{{localize
                                            "tor2e.weapons.details.skill-name"}}</label>
                                    <input id="system.skill.name-{{item.id}}" class="attribute-text-value"
                                           name="system.skill.name"
                                           type="text"
                                           value="{{system.skill.name}}"
                                           data-dtype="{{system.notes.type}}"/>
                                </div>
                                <span class="hint">{{localize
                                        "tor2e.weapons.details.extendedWeaponSelectionHint"}}</span>
                            </div>
                        {{/if}}
                        <div class="item-element">
                            <label for="system.notes.name-{{item.id}}">{{localize
                                    "tor2e.weapons.details.notes"}}</label>
                            <input id="system.notes.name-{{item.id}}" class="attribute-text-value"
                                   name="system.notes.value"
                                   type="text"
                                   value="{{system.notes.value}}"
                                   data-dtype="{{system.notes.type}}"/>
                        </div>
                    </div>
                    <div id="description" class="description flexcol">
                        <h2 class="description-label">{{localize "tor2e.weapons.details.description"}}</h2>
                        {{editor description target="system.description.value" button=true editable=true}}
                    </div>
                </div>
                <div class="tab flexcol" data-tab="effects">
                    {{> "systems/tor2e/templates/sheets/items/components/item-active-effects-card.hbs"
                            activeEffects=this.effects}}
                </div>
            </div>
        </div>
    </form>

</div>
